Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.render
Class BaseContentFilter

    java.lang.Object
      |
      +--oracle.portal.provider.v2.render.BaseContentFilter

All Implemented Interfaces:
  ContentFilter

Direct Known Subclasses:
  HtmlFilter, XmlFilter

public abstract synchronized class BaseContentFilter
extends java.lang.Object
implements ContentFilter

Constructor Summary
`BaseContentFilter()`

Method Summary
`java.lang.String` | `getBaseHRef()`
`java.lang.String` | `getInlineRendering()`
`java.lang.String` | `getRedirectUrlFieldName()`
`java.lang.String` | `getSecBaseHRef()`
`java.lang.String` | `getSecBaseHRef(java.lang.String)`
`java.lang.String` | `getUrlContentType()`
`java.lang.String` | `getUseAuthLinks()`
`java.lang.String` | `getUsePortalStyle()`
`void` | `setBaseHRef(java.lang.String)`
`void` | `setInlineRendering(java.lang.String)`
`void` | `setRedirectUrlFieldName(java.lang.String)`
`void` | `setRemoveClassProperty(java.lang.String)`
`void` | `setSecBaseHRef(java.lang.String)`
`void` | `setUrlContentType(java.lang.String)`
`void` | `setUseAuthLinks(java.lang.String)`
`void` | `setUsePortalStyle(java.lang.String)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.portal.provider.v2.render.ContentFilter
`filterContent, filterContent`

Constructor Detail

### BaseContentFilter

    public BaseContentFilter()

Method Detail

### setUsePortalStyle

    public void setUsePortalStyle(java.lang.String)

### setUseAuthLinks

    public void setUseAuthLinks(java.lang.String)

### getUseAuthLinks

    public java.lang.String getUseAuthLinks()

### getRedirectUrlFieldName

    public java.lang.String getRedirectUrlFieldName()

### setRedirectUrlFieldName

    public void setRedirectUrlFieldName(java.lang.String)

### setUrlContentType

    public void setUrlContentType(java.lang.String)

### getUrlContentType

    public java.lang.String getUrlContentType()

### setBaseHRef

    public void setBaseHRef(java.lang.String)

### getBaseHRef

    public java.lang.String getBaseHRef()

### getSecBaseHRef

    public java.lang.String getSecBaseHRef()

### getUsePortalStyle

    public java.lang.String getUsePortalStyle()

### setSecBaseHRef

    public void setSecBaseHRef(java.lang.String)

### getSecBaseHRef

    public java.lang.String getSecBaseHRef(java.lang.String)
                                    throws java.net.MalformedURLException

    `java.net.MalformedURLException`

### setRemoveClassProperty

    public void setRemoveClassProperty(java.lang.String)

### setInlineRendering

    public void setInlineRendering(java.lang.String)

### getInlineRendering

    public java.lang.String getInlineRendering()

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.